<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: xAPI_Definitions_Parser.IO.FileManager Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser.html">xAPI_Definitions_Parser</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_i_o.html">IO</a></li><li class="navelem"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html">FileManager</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">xAPI_Definitions_Parser.IO.FileManager Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Manages the read and write operations of local files  
 <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for xAPI_Definitions_Parser.IO.FileManager:</div>
<div class="dyncontent">
<div class="center"><img src="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager__inherit__graph.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_i_o_8_file_manager_inherit__map" alt="Inheritance graph"/></div>
<map name="ax_a_p_i___definitions___parser_8_i_o_8_file_manager_inherit__map" id="ax_a_p_i___definitions___parser_8_i_o_8_file_manager_inherit__map">
<area shape="rect" title="Manages the read and write operations of local files" alt="" coords="5,80,172,121"/>
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html" title="Manages the read and write operations of a source type" alt="" coords="46,5,131,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for xAPI_Definitions_Parser.IO.FileManager:</div>
<div class="dyncontent">
<div class="center"><img src="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager__coll__graph.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_i_o_8_file_manager_coll__map" alt="Collaboration graph"/></div>
<map name="ax_a_p_i___definitions___parser_8_i_o_8_file_manager_coll__map" id="ax_a_p_i___definitions___parser_8_i_o_8_file_manager_coll__map">
<area shape="rect" title="Manages the read and write operations of local files" alt="" coords="5,80,172,121"/>
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html" title="Manages the read and write operations of a source type" alt="" coords="46,5,131,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a09a2c98ef9672fc10f00711a9aa4a8de"><td class="memItemLeft" align="right" valign="top">override List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html#a09a2c98ef9672fc10f00711a9aa4a8de">ListActivities</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> context)</td></tr>
<tr class="memdesc:a09a2c98ef9672fc10f00711a9aa4a8de"><td class="mdescLeft">&#160;</td><td class="mdescRight">Lists the activities in a context  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html#a09a2c98ef9672fc10f00711a9aa4a8de">More...</a><br /></td></tr>
<tr class="separator:a09a2c98ef9672fc10f00711a9aa4a8de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae14ebb53c6b1c63d5c1caf3b41fc9ad6"><td class="memItemLeft" align="right" valign="top">override List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html#ae14ebb53c6b1c63d5c1caf3b41fc9ad6">ListContexts</a> (string rootpath, string[] exclude=null)</td></tr>
<tr class="memdesc:ae14ebb53c6b1c63d5c1caf3b41fc9ad6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Lists the contexts  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html#ae14ebb53c6b1c63d5c1caf3b41fc9ad6">More...</a><br /></td></tr>
<tr class="separator:ae14ebb53c6b1c63d5c1caf3b41fc9ad6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a734fdf96e7f4b9dbec0b9b566ed03888"><td class="memItemLeft" align="right" valign="top">override List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html#a734fdf96e7f4b9dbec0b9b566ed03888">ListExtensions</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> contextExtType)</td></tr>
<tr class="memdesc:a734fdf96e7f4b9dbec0b9b566ed03888"><td class="mdescLeft">&#160;</td><td class="mdescRight">Lists the extensions in a context  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html#a734fdf96e7f4b9dbec0b9b566ed03888">More...</a><br /></td></tr>
<tr class="separator:a734fdf96e7f4b9dbec0b9b566ed03888"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4443908b5710d2bd2dea582bcdbec7cd"><td class="memItemLeft" align="right" valign="top">override List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html#a4443908b5710d2bd2dea582bcdbec7cd">ListExtensionTypes</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> context)</td></tr>
<tr class="memdesc:a4443908b5710d2bd2dea582bcdbec7cd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Lists the extension types in a context  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html#a4443908b5710d2bd2dea582bcdbec7cd">More...</a><br /></td></tr>
<tr class="separator:a4443908b5710d2bd2dea582bcdbec7cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4065619ea82716251f72e5594bbc599a"><td class="memItemLeft" align="right" valign="top">override List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html#a4065619ea82716251f72e5594bbc599a">ListVerbs</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> context)</td></tr>
<tr class="memdesc:a4065619ea82716251f72e5594bbc599a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Lists the verbs in a context  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html#a4065619ea82716251f72e5594bbc599a">More...</a><br /></td></tr>
<tr class="separator:a4065619ea82716251f72e5594bbc599a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f28c4fc12b5171bf32376cdbae9913b"><td class="memItemLeft" align="right" valign="top">override List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html#a2f28c4fc12b5171bf32376cdbae9913b">ReadFiles</a> (List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt; files)</td></tr>
<tr class="memdesc:a2f28c4fc12b5171bf32376cdbae9913b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads files  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html#a2f28c4fc12b5171bf32376cdbae9913b">More...</a><br /></td></tr>
<tr class="separator:a2f28c4fc12b5171bf32376cdbae9913b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab451df12224b575e88ca293c6e7c93a8"><td class="memItemLeft" align="right" valign="top">override async Task&lt; List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html#ab451df12224b575e88ca293c6e7c93a8">ReadFilesAsync</a> (List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt; files)</td></tr>
<tr class="memdesc:ab451df12224b575e88ca293c6e7c93a8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads files asynchronously  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html#ab451df12224b575e88ca293c6e7c93a8">More...</a><br /></td></tr>
<tr class="separator:ab451df12224b575e88ca293c6e7c93a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38ff8cd26c93c412c5c7d944cc14feb4"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html#a38ff8cd26c93c412c5c7d944cc14feb4">ReadFile</a> (string path)</td></tr>
<tr class="memdesc:a38ff8cd26c93c412c5c7d944cc14feb4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads file  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html#a38ff8cd26c93c412c5c7d944cc14feb4">More...</a><br /></td></tr>
<tr class="separator:a38ff8cd26c93c412c5c7d944cc14feb4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0eeedd372f278a1c94691d1a3cc36d4a"><td class="memItemLeft" align="right" valign="top">override async Task&lt; string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html#a0eeedd372f278a1c94691d1a3cc36d4a">ReadFileAsync</a> (string path)</td></tr>
<tr class="memdesc:a0eeedd372f278a1c94691d1a3cc36d4a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads file asynchronously  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html#a0eeedd372f278a1c94691d1a3cc36d4a">More...</a><br /></td></tr>
<tr class="separator:a0eeedd372f278a1c94691d1a3cc36d4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0d826758f50f5a5474634ee0ea40e5c"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html#af0d826758f50f5a5474634ee0ea40e5c">WriteFiles</a> (string dest, List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt; files)</td></tr>
<tr class="memdesc:af0d826758f50f5a5474634ee0ea40e5c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Writes files  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html#af0d826758f50f5a5474634ee0ea40e5c">More...</a><br /></td></tr>
<tr class="separator:af0d826758f50f5a5474634ee0ea40e5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6971242eee862e80da0d85e7408c301b"><td class="memItemLeft" align="right" valign="top">override async Task&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html#a6971242eee862e80da0d85e7408c301b">WriteFilesAsync</a> (string dest, List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt; files)</td></tr>
<tr class="memdesc:a6971242eee862e80da0d85e7408c301b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Asynchronously writes files  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html#a6971242eee862e80da0d85e7408c301b">More...</a><br /></td></tr>
<tr class="separator:a6971242eee862e80da0d85e7408c301b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html">xAPI_Definitions_Parser.IO.IOManager</a></td></tr>
<tr class="memitem:a1b2f752346e520f7b034f3784c4ffefd inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a1b2f752346e520f7b034f3784c4ffefd">IOManager</a> ()</td></tr>
<tr class="memdesc:a1b2f752346e520f7b034f3784c4ffefd inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates an <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html" title="Manages the read and write operations of a source type">IOManager</a>  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a1b2f752346e520f7b034f3784c4ffefd">More...</a><br /></td></tr>
<tr class="separator:a1b2f752346e520f7b034f3784c4ffefd inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e80e34d318410ef921201de55b6615b inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memItemLeft" align="right" valign="top">virtual List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html">Context</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a4e80e34d318410ef921201de55b6615b">ListContextsFull</a> (string rootpath, string[] exclude=null)</td></tr>
<tr class="memdesc:a4e80e34d318410ef921201de55b6615b inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Lists the contexts with all definitions  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a4e80e34d318410ef921201de55b6615b">More...</a><br /></td></tr>
<tr class="separator:a4e80e34d318410ef921201de55b6615b inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a517196bbb53083c44645d478a5b057fc inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memItemLeft" align="right" valign="top">virtual List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html">Context</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a517196bbb53083c44645d478a5b057fc">ReadContexts</a> (string rootpath, string[] exclude=null)</td></tr>
<tr class="memdesc:a517196bbb53083c44645d478a5b057fc inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads the contexts  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a517196bbb53083c44645d478a5b057fc">More...</a><br /></td></tr>
<tr class="separator:a517196bbb53083c44645d478a5b057fc inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a083ea7a3c990b8915bac54c0bc6bfce1 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memItemLeft" align="right" valign="top">virtual async Task&lt; List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html">Context</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a083ea7a3c990b8915bac54c0bc6bfce1">ReadContextsAsync</a> (string rootpath, string[] exclude=null)</td></tr>
<tr class="memdesc:a083ea7a3c990b8915bac54c0bc6bfce1 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Asynchronously reads the contexts  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a083ea7a3c990b8915bac54c0bc6bfce1">More...</a><br /></td></tr>
<tr class="separator:a083ea7a3c990b8915bac54c0bc6bfce1 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab342c836966e21f58ef2ce76b965d948 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memItemLeft" align="right" valign="top">virtual List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html">Context</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#ab342c836966e21f58ef2ce76b965d948">ReadContexts</a> (List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html">Context</a> &gt; contexts)</td></tr>
<tr class="memdesc:ab342c836966e21f58ef2ce76b965d948 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads the Contents of the Files in all contexts  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#ab342c836966e21f58ef2ce76b965d948">More...</a><br /></td></tr>
<tr class="separator:ab342c836966e21f58ef2ce76b965d948 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a2f78ad660a1bb880550189da683f89 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memItemLeft" align="right" valign="top">virtual async Task&lt; List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html">Context</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a0a2f78ad660a1bb880550189da683f89">ReadContextsAsync</a> (List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html">Context</a> &gt; contexts)</td></tr>
<tr class="memdesc:a0a2f78ad660a1bb880550189da683f89 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Asynchronously reads the Contents of the Files in all contexts  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a0a2f78ad660a1bb880550189da683f89">More...</a><br /></td></tr>
<tr class="separator:a0a2f78ad660a1bb880550189da683f89 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ad750ba1d4734af6becd951f54e380a inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html">Context</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a9ad750ba1d4734af6becd951f54e380a">ReadContext</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> contextMeta)</td></tr>
<tr class="memdesc:a9ad750ba1d4734af6becd951f54e380a inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads a context  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a9ad750ba1d4734af6becd951f54e380a">More...</a><br /></td></tr>
<tr class="separator:a9ad750ba1d4734af6becd951f54e380a inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09c8180392f6b5200bdae0393d81cfe3 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memItemLeft" align="right" valign="top">virtual async Task&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html">Context</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a09c8180392f6b5200bdae0393d81cfe3">ReadContextAsync</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> contextMeta)</td></tr>
<tr class="memdesc:a09c8180392f6b5200bdae0393d81cfe3 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Asynchronously reads a context  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a09c8180392f6b5200bdae0393d81cfe3">More...</a><br /></td></tr>
<tr class="separator:a09c8180392f6b5200bdae0393d81cfe3 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26150d2415b9d79fcf1c002ae16fe3c5 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html">Context</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a26150d2415b9d79fcf1c002ae16fe3c5">ReadContext</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html">Context</a> context)</td></tr>
<tr class="memdesc:a26150d2415b9d79fcf1c002ae16fe3c5 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads the Contents of the Files in the context  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a26150d2415b9d79fcf1c002ae16fe3c5">More...</a><br /></td></tr>
<tr class="separator:a26150d2415b9d79fcf1c002ae16fe3c5 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab96dd3459b4c1e07936692156280f00 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memItemLeft" align="right" valign="top">virtual async Task&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html">Context</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#aab96dd3459b4c1e07936692156280f00">ReadContextAsync</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html">Context</a> context)</td></tr>
<tr class="memdesc:aab96dd3459b4c1e07936692156280f00 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Asynchronously reads the Contents of the Files in the context  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#aab96dd3459b4c1e07936692156280f00">More...</a><br /></td></tr>
<tr class="separator:aab96dd3459b4c1e07936692156280f00 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef363f7fa1171591968a742df132218b inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memItemLeft" align="right" valign="top">virtual List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#aef363f7fa1171591968a742df132218b">ReadActivities</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> context)</td></tr>
<tr class="memdesc:aef363f7fa1171591968a742df132218b inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads the activities of a context  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#aef363f7fa1171591968a742df132218b">More...</a><br /></td></tr>
<tr class="separator:aef363f7fa1171591968a742df132218b inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54a6a6f080675e7139fb79df2a53f5b2 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memItemLeft" align="right" valign="top">virtual async Task&lt; List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a54a6a6f080675e7139fb79df2a53f5b2">ReadActivitiesAsync</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> context)</td></tr>
<tr class="memdesc:a54a6a6f080675e7139fb79df2a53f5b2 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Asynchronously reads the activities of a context  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a54a6a6f080675e7139fb79df2a53f5b2">More...</a><br /></td></tr>
<tr class="separator:a54a6a6f080675e7139fb79df2a53f5b2 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5cacec472f3d87db7d3f2919bcde673f inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memItemLeft" align="right" valign="top">virtual List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a5cacec472f3d87db7d3f2919bcde673f">ReadDefinitions</a> (List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt; definitions)</td></tr>
<tr class="memdesc:a5cacec472f3d87db7d3f2919bcde673f inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads listed definitions  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a5cacec472f3d87db7d3f2919bcde673f">More...</a><br /></td></tr>
<tr class="separator:a5cacec472f3d87db7d3f2919bcde673f inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c3d65782c7a939288bae10ed0aca2df inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memItemLeft" align="right" valign="top">virtual async Task&lt; List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a0c3d65782c7a939288bae10ed0aca2df">ReadDefinitionsAsync</a> (List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt; definitions)</td></tr>
<tr class="memdesc:a0c3d65782c7a939288bae10ed0aca2df inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Asynchronously reads listed definitions  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a0c3d65782c7a939288bae10ed0aca2df">More...</a><br /></td></tr>
<tr class="separator:a0c3d65782c7a939288bae10ed0aca2df inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3618f4ffdea84b996e74a670dc744e11 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memItemLeft" align="right" valign="top">virtual IDictionary&lt; string, List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a3618f4ffdea84b996e74a670dc744e11">ReadExtensions</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> context)</td></tr>
<tr class="memdesc:a3618f4ffdea84b996e74a670dc744e11 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads the extensions of a context  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a3618f4ffdea84b996e74a670dc744e11">More...</a><br /></td></tr>
<tr class="separator:a3618f4ffdea84b996e74a670dc744e11 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a632ff9ba1c632ce4237fd9c22e04e339 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memItemLeft" align="right" valign="top">virtual async Task&lt; IDictionary&lt; string, List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt; &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a632ff9ba1c632ce4237fd9c22e04e339">ReadExtensionsAsync</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> context)</td></tr>
<tr class="memdesc:a632ff9ba1c632ce4237fd9c22e04e339 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Asynchronously reads the extensions of a context  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a632ff9ba1c632ce4237fd9c22e04e339">More...</a><br /></td></tr>
<tr class="separator:a632ff9ba1c632ce4237fd9c22e04e339 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2998426440dcfb14015f1bad86167ace inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memItemLeft" align="right" valign="top">virtual List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a2998426440dcfb14015f1bad86167ace">ReadExtensions</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> context, <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> type)</td></tr>
<tr class="memdesc:a2998426440dcfb14015f1bad86167ace inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads the extensions of a context  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a2998426440dcfb14015f1bad86167ace">More...</a><br /></td></tr>
<tr class="separator:a2998426440dcfb14015f1bad86167ace inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee7581c9227b784d99016a207a656e63 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memItemLeft" align="right" valign="top">virtual async Task&lt; List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#aee7581c9227b784d99016a207a656e63">ReadExtensionsAsync</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> context, <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> type)</td></tr>
<tr class="memdesc:aee7581c9227b784d99016a207a656e63 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Asynchronously reads the extensions of a context  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#aee7581c9227b784d99016a207a656e63">More...</a><br /></td></tr>
<tr class="separator:aee7581c9227b784d99016a207a656e63 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70ddff75178d3c4551f12f75d0531845 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memItemLeft" align="right" valign="top">virtual List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a70ddff75178d3c4551f12f75d0531845">ReadVerbs</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> context)</td></tr>
<tr class="memdesc:a70ddff75178d3c4551f12f75d0531845 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads the verbs of a context  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a70ddff75178d3c4551f12f75d0531845">More...</a><br /></td></tr>
<tr class="separator:a70ddff75178d3c4551f12f75d0531845 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2b819ce4abb1b6938eb16e607f123b3 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memItemLeft" align="right" valign="top">virtual async Task&lt; List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#aa2b819ce4abb1b6938eb16e607f123b3">ReadVerbsAsync</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> context)</td></tr>
<tr class="memdesc:aa2b819ce4abb1b6938eb16e607f123b3 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Asynchronously reads the verbs of a context  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#aa2b819ce4abb1b6938eb16e607f123b3">More...</a><br /></td></tr>
<tr class="separator:aa2b819ce4abb1b6938eb16e607f123b3 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee0e21fb4ffc3b940d4e8951dc9e0b64 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memItemLeft" align="right" valign="top">abstract List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#aee0e21fb4ffc3b940d4e8951dc9e0b64">ReadFiles</a> (List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt; files)</td></tr>
<tr class="memdesc:aee0e21fb4ffc3b940d4e8951dc9e0b64 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads files  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#aee0e21fb4ffc3b940d4e8951dc9e0b64">More...</a><br /></td></tr>
<tr class="separator:aee0e21fb4ffc3b940d4e8951dc9e0b64 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae72596b14d25250ee534a6837565d5fc inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memItemLeft" align="right" valign="top">abstract Task&lt; List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#ae72596b14d25250ee534a6837565d5fc">ReadFilesAsync</a> (List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt; files)</td></tr>
<tr class="memdesc:ae72596b14d25250ee534a6837565d5fc inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads files asynchronously  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#ae72596b14d25250ee534a6837565d5fc">More...</a><br /></td></tr>
<tr class="separator:ae72596b14d25250ee534a6837565d5fc inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83ae9ff17ace6082d6c5b432e8522bea inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a83ae9ff17ace6082d6c5b432e8522bea">ReadFile</a> (string path)</td></tr>
<tr class="memdesc:a83ae9ff17ace6082d6c5b432e8522bea inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads file  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a83ae9ff17ace6082d6c5b432e8522bea">More...</a><br /></td></tr>
<tr class="separator:a83ae9ff17ace6082d6c5b432e8522bea inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad37f764d92703f0a0018f93ef8ef9111 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memItemLeft" align="right" valign="top">abstract Task&lt; string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#ad37f764d92703f0a0018f93ef8ef9111">ReadFileAsync</a> (string path)</td></tr>
<tr class="memdesc:ad37f764d92703f0a0018f93ef8ef9111 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads file asynchronously  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#ad37f764d92703f0a0018f93ef8ef9111">More...</a><br /></td></tr>
<tr class="separator:ad37f764d92703f0a0018f93ef8ef9111 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41e6f771cde9e6cb13bcf16769f9864c inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memItemLeft" align="right" valign="top">abstract List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a41e6f771cde9e6cb13bcf16769f9864c">ListActivities</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> context)</td></tr>
<tr class="memdesc:a41e6f771cde9e6cb13bcf16769f9864c inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Lists the activities in a context  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a41e6f771cde9e6cb13bcf16769f9864c">More...</a><br /></td></tr>
<tr class="separator:a41e6f771cde9e6cb13bcf16769f9864c inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b785c045f5068cd96d5cebe57a4ac3c inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memItemLeft" align="right" valign="top">abstract List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a3b785c045f5068cd96d5cebe57a4ac3c">ListContexts</a> (string rootpath, string[] exclude=null)</td></tr>
<tr class="memdesc:a3b785c045f5068cd96d5cebe57a4ac3c inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Lists the contexts  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a3b785c045f5068cd96d5cebe57a4ac3c">More...</a><br /></td></tr>
<tr class="separator:a3b785c045f5068cd96d5cebe57a4ac3c inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a165cb7de59cf9e8be1faebd1c03e5c7d inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memItemLeft" align="right" valign="top">abstract List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a165cb7de59cf9e8be1faebd1c03e5c7d">ListExtensionTypes</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> context)</td></tr>
<tr class="memdesc:a165cb7de59cf9e8be1faebd1c03e5c7d inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Lists the extension types in a context  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a165cb7de59cf9e8be1faebd1c03e5c7d">More...</a><br /></td></tr>
<tr class="separator:a165cb7de59cf9e8be1faebd1c03e5c7d inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3525a00a267294893126d50de90c7b30 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memItemLeft" align="right" valign="top">abstract List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a3525a00a267294893126d50de90c7b30">ListExtensions</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> contextExtType)</td></tr>
<tr class="memdesc:a3525a00a267294893126d50de90c7b30 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Lists the extensions in a context  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a3525a00a267294893126d50de90c7b30">More...</a><br /></td></tr>
<tr class="separator:a3525a00a267294893126d50de90c7b30 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39dea52168d4948f0502462a58d9f4b3 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memItemLeft" align="right" valign="top">abstract List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a39dea52168d4948f0502462a58d9f4b3">ListVerbs</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> context)</td></tr>
<tr class="memdesc:a39dea52168d4948f0502462a58d9f4b3 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Lists the verbs in a context  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a39dea52168d4948f0502462a58d9f4b3">More...</a><br /></td></tr>
<tr class="separator:a39dea52168d4948f0502462a58d9f4b3 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae25c4bdc579a5f498d6275bcc9d20051 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memItemLeft" align="right" valign="top">virtual IDictionary&lt; string, List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#ae25c4bdc579a5f498d6275bcc9d20051">ListAllExtensions</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> contextMeta)</td></tr>
<tr class="memdesc:ae25c4bdc579a5f498d6275bcc9d20051 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Lists all extensions for a context  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#ae25c4bdc579a5f498d6275bcc9d20051">More...</a><br /></td></tr>
<tr class="separator:ae25c4bdc579a5f498d6275bcc9d20051 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afacb3f9741a8c71d148358cae1d076a0 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#afacb3f9741a8c71d148358cae1d076a0">WriteCodeFiles</a> (string dest, List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt; coreFiles, string coreDirName, List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt; files, string definitionsDirName)</td></tr>
<tr class="memdesc:afacb3f9741a8c71d148358cae1d076a0 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Writes CodeFiles files of a given language  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#afacb3f9741a8c71d148358cae1d076a0">More...</a><br /></td></tr>
<tr class="separator:afacb3f9741a8c71d148358cae1d076a0 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a461eb934eca7e22be0347d919ca921a6 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memItemLeft" align="right" valign="top">virtual async Task&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a461eb934eca7e22be0347d919ca921a6">WriteCodeFilesAsync</a> (string dest, List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt; coreFiles, string coreDirName, List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt; files, string definitionsDirName)</td></tr>
<tr class="memdesc:a461eb934eca7e22be0347d919ca921a6 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Asynchronously writes CodeFiles files of a given language  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a461eb934eca7e22be0347d919ca921a6">More...</a><br /></td></tr>
<tr class="separator:a461eb934eca7e22be0347d919ca921a6 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3e089e7caba82eee85704f8268dde11 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memItemLeft" align="right" valign="top">abstract void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#ab3e089e7caba82eee85704f8268dde11">WriteFiles</a> (string dest, List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt; files)</td></tr>
<tr class="memdesc:ab3e089e7caba82eee85704f8268dde11 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Writes files  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#ab3e089e7caba82eee85704f8268dde11">More...</a><br /></td></tr>
<tr class="separator:ab3e089e7caba82eee85704f8268dde11 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a4642da4638c7ae1a1d27d9efffcc88 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memItemLeft" align="right" valign="top">abstract Task&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a9a4642da4638c7ae1a1d27d9efffcc88">WriteFilesAsync</a> (string dest, List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt; files)</td></tr>
<tr class="memdesc:a9a4642da4638c7ae1a1d27d9efffcc88 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Asynchronously writes files  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a9a4642da4638c7ae1a1d27d9efffcc88">More...</a><br /></td></tr>
<tr class="separator:a9a4642da4638c7ae1a1d27d9efffcc88 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a1aab124aa0905feecd6772e9776dc9ab"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html#a1aab124aa0905feecd6772e9776dc9ab">CombinePaths</a> (params string[] paths)</td></tr>
<tr class="memdesc:a1aab124aa0905feecd6772e9776dc9ab"><td class="mdescLeft">&#160;</td><td class="mdescRight">Combines two paths into one  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html#a1aab124aa0905feecd6772e9776dc9ab">More...</a><br /></td></tr>
<tr class="separator:a1aab124aa0905feecd6772e9776dc9ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html">xAPI_Definitions_Parser.IO.IOManager</a></td></tr>
<tr class="memitem:adce154ced2811a4b0130d8a1c8593d1f inherit pro_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#adce154ced2811a4b0130d8a1c8593d1f">Log</a> (string message)</td></tr>
<tr class="separator:adce154ced2811a4b0130d8a1c8593d1f inherit pro_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c87d6605981596a5fc9ad1e6413a361 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a2c87d6605981596a5fc9ad1e6413a361">CombinePaths</a> (params string[] paths)</td></tr>
<tr class="memdesc:a2c87d6605981596a5fc9ad1e6413a361 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Combines two paths into one  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a2c87d6605981596a5fc9ad1e6413a361">More...</a><br /></td></tr>
<tr class="separator:a2c87d6605981596a5fc9ad1e6413a361 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a39f7ebd62f2c1d465f955489465e61c4"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespacex_a_p_i___definitions___parser.html#ae7ab0827c0b34ea00630d33893561186">SourceType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html#a39f7ebd62f2c1d465f955489465e61c4">SourceKey</a><code> [get]</code></td></tr>
<tr class="memdesc:a39f7ebd62f2c1d465f955489465e61c4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Key of the manager's source type  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html#a39f7ebd62f2c1d465f955489465e61c4">More...</a><br /></td></tr>
<tr class="separator:a39f7ebd62f2c1d465f955489465e61c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="inherited" name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_static_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html">xAPI_Definitions_Parser.IO.IOManager</a></td></tr>
<tr class="memitem:a7b64fef9f1bbba444282e949f57ec2f8 inherit pub_static_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memItemLeft" align="right" valign="top">static List&lt; <a class="el" href="namespacex_a_p_i___definitions___parser.html#ae7ab0827c0b34ea00630d33893561186">SourceType</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a7b64fef9f1bbba444282e949f57ec2f8">GetSubClassesSourceKeys</a> ()</td></tr>
<tr class="memdesc:a7b64fef9f1bbba444282e949f57ec2f8 inherit pub_static_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the SourceKeys of all classes that inherits from <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html" title="Manages the read and write operations of a source type">IOManager</a>  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a7b64fef9f1bbba444282e949f57ec2f8">More...</a><br /></td></tr>
<tr class="separator:a7b64fef9f1bbba444282e949f57ec2f8 inherit pub_static_methods_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header events_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td colspan="2" onclick="javascript:toggleInherit('events_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager')"><img src="closed.png" alt="-"/>&#160;Events inherited from <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html">xAPI_Definitions_Parser.IO.IOManager</a></td></tr>
<tr class="memitem:a3f13a288e83134c6bd26271fcb0bae3f inherit events_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memItemLeft" align="right" valign="top">Action&lt; string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a3f13a288e83134c6bd26271fcb0bae3f">OnLog</a></td></tr>
<tr class="memdesc:a3f13a288e83134c6bd26271fcb0bae3f inherit events_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Logging event  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a3f13a288e83134c6bd26271fcb0bae3f">More...</a><br /></td></tr>
<tr class="separator:a3f13a288e83134c6bd26271fcb0bae3f inherit events_classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Manages the read and write operations of local files </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a1aab124aa0905feecd6772e9776dc9ab" name="a1aab124aa0905feecd6772e9776dc9ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1aab124aa0905feecd6772e9776dc9ab">&#9670;&nbsp;</a></span>CombinePaths()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.IO.FileManager.CombinePaths </td>
          <td>(</td>
          <td class="paramtype">params string[]&#160;</td>
          <td class="paramname"><em>paths</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Combines two paths into one </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">paths</td><td>Paths to combine</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Combined Path</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a2c87d6605981596a5fc9ad1e6413a361">xAPI_Definitions_Parser.IO.IOManager</a>.</p>

</div>
</div>
<a id="a09a2c98ef9672fc10f00711a9aa4a8de" name="a09a2c98ef9672fc10f00711a9aa4a8de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09a2c98ef9672fc10f00711a9aa4a8de">&#9670;&nbsp;</a></span>ListActivities()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt; xAPI_Definitions_Parser.IO.FileManager.ListActivities </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a>&#160;</td>
          <td class="paramname"><em>context</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Lists the activities in a context </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">context</td><td><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html" title="Class that represents a context of xAPI definitions">Context</a> whose activities are listed</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>List of activities in the context</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a41e6f771cde9e6cb13bcf16769f9864c">xAPI_Definitions_Parser.IO.IOManager</a>.</p>

</div>
</div>
<a id="ae14ebb53c6b1c63d5c1caf3b41fc9ad6" name="ae14ebb53c6b1c63d5c1caf3b41fc9ad6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae14ebb53c6b1c63d5c1caf3b41fc9ad6">&#9670;&nbsp;</a></span>ListContexts()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt; xAPI_Definitions_Parser.IO.FileManager.ListContexts </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>rootpath</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string[]&#160;</td>
          <td class="paramname"><em>exclude</em> = <code>null</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Lists the contexts </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">rootpath</td><td>Path with the contexts</td></tr>
    <tr><td class="paramname">exclude</td><td>Files and folders to be excluded</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>List of contexts</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a3b785c045f5068cd96d5cebe57a4ac3c">xAPI_Definitions_Parser.IO.IOManager</a>.</p>

</div>
</div>
<a id="a734fdf96e7f4b9dbec0b9b566ed03888" name="a734fdf96e7f4b9dbec0b9b566ed03888"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a734fdf96e7f4b9dbec0b9b566ed03888">&#9670;&nbsp;</a></span>ListExtensions()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt; xAPI_Definitions_Parser.IO.FileManager.ListExtensions </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a>&#160;</td>
          <td class="paramname"><em>contextExtType</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Lists the extensions in a context </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">contextExtType</td><td><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html" title="Class that represents a context of xAPI definitions">Context</a> whose extensions are listed</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>List of extensions in the context</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a3525a00a267294893126d50de90c7b30">xAPI_Definitions_Parser.IO.IOManager</a>.</p>

</div>
</div>
<a id="a4443908b5710d2bd2dea582bcdbec7cd" name="a4443908b5710d2bd2dea582bcdbec7cd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4443908b5710d2bd2dea582bcdbec7cd">&#9670;&nbsp;</a></span>ListExtensionTypes()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt; xAPI_Definitions_Parser.IO.FileManager.ListExtensionTypes </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a>&#160;</td>
          <td class="paramname"><em>context</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Lists the extension types in a context </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">context</td><td><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html" title="Class that represents a context of xAPI definitions">Context</a> whose extension types are listed</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>List of extension types in the context</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a165cb7de59cf9e8be1faebd1c03e5c7d">xAPI_Definitions_Parser.IO.IOManager</a>.</p>

</div>
</div>
<a id="a4065619ea82716251f72e5594bbc599a" name="a4065619ea82716251f72e5594bbc599a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4065619ea82716251f72e5594bbc599a">&#9670;&nbsp;</a></span>ListVerbs()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt; xAPI_Definitions_Parser.IO.FileManager.ListVerbs </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a>&#160;</td>
          <td class="paramname"><em>context</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Lists the verbs in a context </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">context</td><td><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html" title="Class that represents a context of xAPI definitions">Context</a> whose verbs are listed</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>List of verbs in the context</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a39dea52168d4948f0502462a58d9f4b3">xAPI_Definitions_Parser.IO.IOManager</a>.</p>

</div>
</div>
<a id="a38ff8cd26c93c412c5c7d944cc14feb4" name="a38ff8cd26c93c412c5c7d944cc14feb4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38ff8cd26c93c412c5c7d944cc14feb4">&#9670;&nbsp;</a></span>ReadFile()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.IO.FileManager.ReadFile </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>path</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reads file </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">path</td><td>Path of the file to read</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Content of the file</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a83ae9ff17ace6082d6c5b432e8522bea">xAPI_Definitions_Parser.IO.IOManager</a>.</p>

</div>
</div>
<a id="a0eeedd372f278a1c94691d1a3cc36d4a" name="a0eeedd372f278a1c94691d1a3cc36d4a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0eeedd372f278a1c94691d1a3cc36d4a">&#9670;&nbsp;</a></span>ReadFileAsync()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override async Task&lt; string &gt; xAPI_Definitions_Parser.IO.FileManager.ReadFileAsync </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>path</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reads file asynchronously </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">path</td><td>File to read</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Task that returns content of the file</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#ad37f764d92703f0a0018f93ef8ef9111">xAPI_Definitions_Parser.IO.IOManager</a>.</p>

</div>
</div>
<a id="a2f28c4fc12b5171bf32376cdbae9913b" name="a2f28c4fc12b5171bf32376cdbae9913b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f28c4fc12b5171bf32376cdbae9913b">&#9670;&nbsp;</a></span>ReadFiles()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt; xAPI_Definitions_Parser.IO.FileManager.ReadFiles </td>
          <td>(</td>
          <td class="paramtype">List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt;&#160;</td>
          <td class="paramname"><em>files</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reads files </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">files</td><td>List of files to read</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>List of files that have been read</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#aee0e21fb4ffc3b940d4e8951dc9e0b64">xAPI_Definitions_Parser.IO.IOManager</a>.</p>

</div>
</div>
<a id="ab451df12224b575e88ca293c6e7c93a8" name="ab451df12224b575e88ca293c6e7c93a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab451df12224b575e88ca293c6e7c93a8">&#9670;&nbsp;</a></span>ReadFilesAsync()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override async Task&lt; List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt; &gt; xAPI_Definitions_Parser.IO.FileManager.ReadFilesAsync </td>
          <td>(</td>
          <td class="paramtype">List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt;&#160;</td>
          <td class="paramname"><em>files</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reads files asynchronously </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">files</td><td>List of files to read</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Task that returns list of files that have been read</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#ae72596b14d25250ee534a6837565d5fc">xAPI_Definitions_Parser.IO.IOManager</a>.</p>

</div>
</div>
<a id="af0d826758f50f5a5474634ee0ea40e5c" name="af0d826758f50f5a5474634ee0ea40e5c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af0d826758f50f5a5474634ee0ea40e5c">&#9670;&nbsp;</a></span>WriteFiles()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void xAPI_Definitions_Parser.IO.FileManager.WriteFiles </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dest</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt;&#160;</td>
          <td class="paramname"><em>files</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Writes files </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dest</td><td>Destination to write to</td></tr>
    <tr><td class="paramname">files</td><td>Files to write</td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#ab3e089e7caba82eee85704f8268dde11">xAPI_Definitions_Parser.IO.IOManager</a>.</p>

</div>
</div>
<a id="a6971242eee862e80da0d85e7408c301b" name="a6971242eee862e80da0d85e7408c301b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6971242eee862e80da0d85e7408c301b">&#9670;&nbsp;</a></span>WriteFilesAsync()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override async Task xAPI_Definitions_Parser.IO.FileManager.WriteFilesAsync </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dest</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt;&#160;</td>
          <td class="paramname"><em>files</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Asynchronously writes files </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dest</td><td>Destination to write to</td></tr>
    <tr><td class="paramname">files</td><td>Files to write</td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a9a4642da4638c7ae1a1d27d9efffcc88">xAPI_Definitions_Parser.IO.IOManager</a>.</p>

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="a39f7ebd62f2c1d465f955489465e61c4" name="a39f7ebd62f2c1d465f955489465e61c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39f7ebd62f2c1d465f955489465e61c4">&#9670;&nbsp;</a></span>SourceKey</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespacex_a_p_i___definitions___parser.html#ae7ab0827c0b34ea00630d33893561186">SourceType</a> xAPI_Definitions_Parser.IO.FileManager.SourceKey</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Key of the manager's source type </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>xAPI Definitions Parser/IO/<a class="el" href="_file_manager_8cs.html">FileManager.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
